package com.yunfeiyun.agmp.common.enums;

public enum ChangeApplyWay {
    SINGLE("1","单一申请"),
    BATCH("2","批量申请");

    private final String code;
    private final String message;

    ChangeApplyWay(String code, String message)
    {
        this.code = code;
        this.message = message;
    }

    public String getCode()
    {
        return code;
    }

    public String getMessage()
    {
        return message;
    }

    public static String valueOfCode(String code){
        for(ChangeApplyWay changeApplyWay : ChangeApplyWay.values()) {
            if(changeApplyWay.equal(code)){
                return changeApplyWay.getMessage();
            }
        }
        return "";
    }

    public boolean equal(String code){
        return this.code.equals(code);
    }
}
